GCLOUD_KMS_KEYS_VERSIONS_RESTORE(1)

NAME

gcloud kms keys versions restore - restore a version scheduled for destruction

SYNOPSIS

gcloud kms keys versions restore VERSION [--key=KEY] [--keyring=KEYRING] [--location=LOCATION] [GLOBAL-FLAG ...]

DESCRIPTION
Restores the given version that was scheduled to be destroyed. This moves the version from Scheduled for destruction to Disabled. Only versions which are Scheduled for destruction can be Restored.

POSITIONAL ARGUMENTS

    VERSION
        Name of the version to restore.

FLAGS

    --key=KEY
        The containing key.

    --keyring=KEYRING
        The containing keyring.

    --location=LOCATION
        The location of the requested resource.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command restores version 9 of key frodo within keyring fellowship and location us-east1 which was previously scheduled for destruction:
    $ gcloud kms keys versions restore 9 --location us-east1 \
        --keyring fellowship --key frodo